Package org.jbpm.workflow.core

## Interface Node

- All Superinterfaces:
    `Contextable`, `org.kie.api.definition.process.Node`, `Serializable`
  All Known Implementing Classes:
    `ActionNode`, `AsyncEventNode`, `BoundaryEventNode`, `CatchLinkNode`, `CompositeContextNode`, `CompositeNode`, `CompositeNode.CompositeNodeEnd`, `CompositeNode.CompositeNodeStart`, `DynamicNode`, `EndNode`, `EventNode`, `EventSubProcessNode`, `ExtendedNodeImpl`, `FaultNode`, `ForEachNode`, `ForEachNode.ForEachJoinNode`, `ForEachNode.ForEachSplitNode`, `HumanTaskNode`, `Join`, `MilestoneNode`, `NodeImpl`, `RuleSetNode`, `Split`, `StartNode`, `StateBasedNode`, `StateNode`, `SubProcessNode`, `ThrowLinkNode`, `TimerNode`, `WorkItemNode`

      public interface Node
      extends org.kie.api.definition.process.Node, Contextable, Serializable

  Represents a node in a RuleFlow.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CONNECTION_DEFAULT_TYPE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addIncomingConnection​(String type, org.kie.api.definition.process.Connection connection)` |
    `void` | `addOutgoingConnection​(String type, org.kie.api.definition.process.Connection connection)` |
    `String` | `getUniqueId()` |
    `void` | `removeIncomingConnection​(String type, org.kie.api.definition.process.Connection connection)` |
    `void` | `removeOutgoingConnection​(String type, org.kie.api.definition.process.Connection connection)` |
    `void` | `setId​(long id)` | Method for setting the id of the node
    `void` | `setMetaData​(String name, Object value)` |
    `void` | `setName​(String name)` | Method for setting the name of the node
    `void` | `setNodeContainer​(org.kie.api.definition.process.NodeContainer nodeContainer)` |

    - ### Methods inherited from interface org.jbpm.process.core.Contextable

      `getContext, setContext`

    - ### Methods inherited from interface org.kie.api.definition.process.Node

      `getId, getIncomingConnections, getIncomingConnections, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections`

- - ### Field Detail

    - #### CONNECTION_DEFAULT_TYPE

          static final String CONNECTION_DEFAULT_TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setId

          void setId​(long id)

      Method for setting the id of the node
      Parameters:
        `id` - the id of the node

    - #### setName

          void setName​(String name)

      Method for setting the name of the node
      Parameters:
        `name` - the name of the node

    - #### getUniqueId

          String getUniqueId()

    - #### addIncomingConnection

          void addIncomingConnection​(String type,
                                     org.kie.api.definition.process.Connection connection)

    - #### addOutgoingConnection

          void addOutgoingConnection​(String type,
                                     org.kie.api.definition.process.Connection connection)

    - #### removeIncomingConnection

          void removeIncomingConnection​(String type,
                                        org.kie.api.definition.process.Connection connection)

    - #### removeOutgoingConnection

          void removeOutgoingConnection​(String type,
                                        org.kie.api.definition.process.Connection connection)

    - #### setNodeContainer

          void setNodeContainer​(org.kie.api.definition.process.NodeContainer nodeContainer)

    - #### setMetaData

          void setMetaData​(String name,
                           Object value)